package com.ssm.model.system;

import java.util.Date;

import com.ssm.util.page.BaseEntity;

public class SysLog extends BaseEntity{
	
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer id;
    
    private String logLevel;// 级别

    private String logMessage;

    private String origin;// 操作来源

    private Integer userId;

    private Date createdDate;   

    private String stackTrace;//操作异常信息
    
    private String cd;//(createdDate)
    
    private String username;
    
    private Date startDate;
    
    private Date endDate;
    
    private String params;
    
    private String ipAddress;
    
    public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getCd() {
		return cd;
	}

	public void setCd(String cd) {
		this.cd = cd;
	}

	public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLogLevel() {
        return logLevel;
    }

    public void setLogLevel(String logLevel) {
        this.logLevel = logLevel == null ? null : logLevel.trim();
    }

    public String getLogMessage() {
        return logMessage;
    }

    public void setLogMessage(String logMessage) {
        this.logMessage = logMessage == null ? null : logMessage.trim();
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin == null ? null : origin.trim();
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId ;
    }

	public Date getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}

	public String getStackTrace() {
		return stackTrace;
	}

	public void setStackTrace(String stackTrace) {
		this.stackTrace = stackTrace;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	
	public String getParams() {
		return params;
	}

	public void setParams(String params) {
		this.params = params;
	}
	
	public String getIpAddress() {
		return ipAddress;
	}

	public void setIpAddress(String ipAddress) {
		this.ipAddress = ipAddress;
	}

	@Override
	public String toString() {
		return "SysLog [id=" + id + ", loglevel=" + logLevel + ", logMessage="
				+ logMessage + ", origin=" + origin + ", userId=" + userId
				+ ", createTime=" + createdDate + ", stackTrace=" + stackTrace
				+ "]";
	}
}